Loading....

Liberty’s SMTP Relay Doesn’t Meet Modern Security Standards

Liberty SMTP Relay Doesn't Meet Modern Security Standards

We’ve been through this once before @ Liberty not being compatible with secure email systems such as Google:

[hr]

http://thecomputerpeeps.com/2013/02/consignpro-and-liberty-are-incompatible-with-gmail/

[hr]

We’re here again.  Liberty is still incompatible with modern, secure email systems so RSW released the SMTP Relay utility — a stand-alone utility you install on each of your computers, which sends emails on behalf of Liberty.  It too, doesn’t utilize modern security standards.

If you try to utilize Liberty’s SMTP Relay utility along with Google/Gmail, it will fail to send emails:

[hr]

Liberty SMTP Relay Fails to Send Emails through Google
Liberty SMTP Relay Fails to Send Emails through Google | Click to Enlarge

[hr]

In your Google inbox, you’ll see a handy message telling you why:

[hr]

Liberty SMTP Relay Doesn't Meet Modern Security Standards
Liberty SMTP Relay Doesn’t Meet Modern Security Standards | Click to Enlarge

[hr]

From an app that doesn’t meet modern security standards.

Simple as that.

When software attempts to send emails, it has to follow certain rules, especially when it comes to SSL/TLS.  Certain techniques simply aren’t considered ‘modern’ and will be blocked by secure email providers such as Google.

Google offers a workaround for this though — i.e enable the ‘Access for Less Secure Apps‘ (https://www.google.com/settings/security/lesssecureapps) feature:

[hr]

Google's 'Allow Less Secure Apps' Setting
Google’s ‘Allow Less Secure Apps’ Setting | Click to Enlarge

[hr]

ConsignPro suffers from this too.

Both vendors could easily fix this issue and any outside consultant or developer can verify what I’ve outlined above.

Back To Top